Summary:   Summary and manager of Subversion changes
Name:      svndelta
Version:   1.0.6
Release:   1
Epoch:     0
License:   LGPL
Group:     Development/Tools
URL:       http://www.incava.org/projects/svndelta
Source:    http://www.incava.org/pub/svndelta/svndelta-%{version}.tar.gz
Requires:  ruby >= 1.8.0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildArch: noarch
Packager:  Jeff Pace (jpace@incava.org)
Vendor:    incava.org

%description
Summarizes the differences between a Subversion project and local files, listing
the files and the number of lines that have been added, changed, and removed. 
Can optionally execute the related Subversion commands to add and delete files.

%prep
%setup -q

%build

%install
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%makeinstall

%clean
[ "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root,-)
%{_bindir}/svndelta
%{_mandir}/man1/svndelta.1*
%attr(0755,root,root) %{_datadir}/svndelta/svndelta.rb
%attr(0755,root,root) %{_datadir}/svndelta/diff/lcs.rb
%attr(0755,root,root) %{_datadir}/svndelta/diff/lcs/*.rb

%changelog
* Tue Jan 23 2007 Jeff Pace (jpace@incava.org) 1.0.6-1
- Fixed bug when a file has been deleted, set to ignored, then re-added.

* Wed Jun 21 2006 Jeff Pace (jpace@incava.org) 1.0.5-1
- Fixed bugs when processing a single file.
- Improved diff speed significantly.

* Sat Jun  2 2006 Jeff Pace (jpace@incava.org) 1.0.4-1
- Fixed so that logging message is not always written.

* Thu Jun  1 2006 Jeff Pace (jpace@incava.org) 1.0.3-1
- Fixed so that interrupts do not result in stack trace being shown.

* Sat May 27 2006 Jeff Pace (jpace@incava.org) 1.0.2-1
- Fixed to handle files that have been moved.

* Sun Apr 30 2006 Jeff Pace (jpace@incava.org) 1.0.1-1
- Migrated library from lib to share.
- Fixed diff counts.
- Fixed ignore files code, and refactored.

* Wed Apr 26 2006 Jeff Pace (jpace@incava.org) 1.0.0-1
- Initial public release.
